<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="trigo.xsl"/>
<xsl:output method="html" encoding="utf-8" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

<xsl:template match="/">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link type="text/css" rel="stylesheet" href="intervallist.css" />
<title><xsl:value-of select="intervalList/header/@title"/></title>
</head>
<body>
<h1><xsl:value-of select="intervalList/header/@title"/></h1>
<!-- <h2>Entête</h2>
-->
<!--
<h2>Liste des Intervalles</h2>
-->
<p>
<table width="600" border="1" cellspacing="0" cellpadding="0">
  <tr>
    <th scope="col">En Cents</th>
    <th scope="col">Fraction</th>
    <th scope="col">Description</th>
  </tr>
  <xsl:for-each select="intervalList/list/interval">
   <tr>
<td><xsl:value-of select="@cent"/></td>
<td><xsl:value-of select="@frac"/></td>
<td><xsl:value-of select="@desc"/></td>
</tr>
</xsl:for-each>
</table>

<div id ="entete">Auteur : <b><xsl:value-of select="intervalList/header/@author"/></b><br/>
Nombre d'intervalles : <xsl:value-of select="intervalList/list/@number"/><br/>
<!--
Description :<br/>
<div id="desc"><xsl:copy-of select="intervalList/header/desc"/></div>
-->
<p>Représentations graphiques :<br/>
<div id="desc">Blue graduations represent equal temperament.
<br/>
درجات آبی رنگ تقسیمات اعتدال مساوی را نمایش میدهد
</div><br/>

<svg xmlns="http://www.w3.org/2000/svg"
xmlns:xlink="http://www.w3.org/1999/xlink"
width="350" height="350">
<xsl:variable name="rayon" select="100"/>
<xsl:variable name="notecolor" select="blue"/>



  <circle id="circ1" cx="200" cy="200"
   r="100" fill="none" stroke="#1F56D2"/>
  <circle id="circ2" cx="200" cy="200"
   r="80" fill="none" stroke="#1F56D2"/>


<text x="190" y="90" fill="#1F56D2">
Do</text>
<text   style="font-family: Arial; text-anchor: middle; font-size: 14px;" fill="#1F56D2">
<xsl:attribute name="y"><xsl:value-of select="200 + ($rayon+20) * (0.861) "/> </xsl:attribute>
<xsl:attribute name="x"><xsl:value-of select="200 + ($rayon+20) * (0.509) "/></xsl:attribute>
<xsl:attribute name="fill">blue</xsl:attribute>
Fa
</text>
<text   style="font-family: Arial; text-anchor: middle; font-size: 14px;" fill="#1F56D2">
<xsl:attribute name="y"><xsl:value-of select="200 + ($rayon+20) * (0.861) "/> </xsl:attribute>
<xsl:attribute name="x"><xsl:value-of select="200 + ($rayon+20) * (-0.509) "/></xsl:attribute>
Sol
</text>

<xsl:for-each select="intervalList/list/interval">

<xsl:variable name = "vCos" >
<xsl:call-template name = "cos" >
<xsl:with-param name = "pX" select = "-90 + @cent div 1200 * 360" />
 <xsl:with-param name="pUnit" select="'deg'"/>
</xsl:call-template>
</xsl:variable>

<xsl:variable name = "vSin" >
<xsl:call-template name = "sin" >
<xsl:with-param name = "pX" select = "-90 + @cent div 1200 * 360" />
 <xsl:with-param name="pUnit" select="'deg'"/>
</xsl:call-template>
</xsl:variable>

<text   style="font-family: Arial, Sans-serif; text-anchor: middle; font-size: 10px;">
<xsl:attribute name="y"><xsl:value-of select="200 + ($rayon+40) * $vSin"/> </xsl:attribute>
<xsl:attribute name="x"><xsl:value-of select="200 + ($rayon+40) * $vCos "/></xsl:attribute>
<xsl:value-of select="@cent"/>
</text>
<line> 
<xsl:attribute name="y1"><xsl:value-of select="200 + ($rayon - 20 ) * $vSin"/> </xsl:attribute>
<xsl:attribute name="x1"><xsl:value-of select="200 + ($rayon - 20 ) * $vCos "/></xsl:attribute>
<xsl:attribute name="y2"><xsl:value-of select="200 + ($rayon) * $vSin"/> </xsl:attribute>
<xsl:attribute name="x2"><xsl:value-of select="200 + ($rayon) * $vCos "/></xsl:attribute>
<xsl:attribute name="style">stroke:#DC143C;</xsl:attribute>
</line>
</xsl:for-each>
 
<xsl:call-template name = "graduation" >
<xsl:with-param name = "i" select="0"/>
<xsl:with-param name="nb" select="12"/>
<xsl:with-param name = "rayon" select = "100"/>
<xsl:with-param name = "tickl" select = "10"/>
</xsl:call-template>

<xsl:call-template name = "graduation" >
<xsl:with-param name = "i" select="0"/>
<xsl:with-param name="nb" select="24"/>
<xsl:with-param name = "rayon" select = "100"/>
<xsl:with-param name = "tickl" select = "5"/>
</xsl:call-template>
</svg>
</p>
<p>
<svg xmlns="http://www.w3.org/2000/svg"
xmlns:xlink="http://www.w3.org/1999/xlink"
width="455" height="100">

<line id="line1" x1="10" y1="50" x2="442" y2="50" style="stroke:#1F56D2" /> 
<!-- 432/12=36, chaque demi-ton représente 36 -->
<text x="10" y="10" fill="#1F56D2" text-anchor="middle">
Do</text>
<text x="190" y="10" fill="#1F56D2" text-anchor="middle">
Fa</text>
<text x="262" y="10" fill="#1F56D2" text-anchor="middle" >
Sol</text>
<text x="442" y="10" fill="#1F56D2" text-anchor="middle">
Do</text>
<xsl:call-template name = "graduationH" >
<xsl:with-param name = "i" select="0"/>
<xsl:with-param name="nb" select="12"/>
<xsl:with-param name = "pas" select = "36"/>
<xsl:with-param name = "ticks" select = "20"/>
<xsl:with-param name = "init" select = "10"/>
</xsl:call-template>

<xsl:call-template name = "graduationH" >
<xsl:with-param name = "i" select="0"/>
<xsl:with-param name="nb" select="11"/>
<xsl:with-param name = "pas" select = "36"/>
<xsl:with-param name = "ticks" select = "10"/>
<xsl:with-param name = "init" select = "28"/>
</xsl:call-template>


<!-- placement des differents degres -->
<xsl:for-each select="intervalList/list/interval">
<!--
<text   style="font-family: Arial, Sans-serif; text-anchor: middle; font-size: 10px;">
<xsl:attribute name="y"><xsl:value-of select="10"/> </xsl:attribute>
<xsl:attribute name="x"><xsl:value-of select="10 + @cent *0.36 "/></xsl:attribute>
<xsl:value-of select="@cent"/>
</text>
-->
<line> 
<xsl:attribute name="y1"><xsl:value-of select="35"/> </xsl:attribute>
<xsl:attribute name="x1"><xsl:value-of select="10 + @cent * 0.36"/></xsl:attribute>
<xsl:attribute name="y2"><xsl:value-of select="65"/> </xsl:attribute>
<xsl:attribute name="x2"><xsl:value-of select="10 + @cent * 0.36"/></xsl:attribute>
<xsl:attribute name="style">stroke:#DC143C; stroke-width: 2;</xsl:attribute>
</line>
</xsl:for-each>
</svg>
</p>
<p>
Positions des ligatures sur le manche d'un luth accordé en quarte parfaite (4/3)<br/>
<svg xmlns="http://www.w3.org/2000/svg"
xmlns:xlink="http://www.w3.org/1999/xlink"
width="300" height="100">

<line id="line1" x1="10" y1="25" x2="280" y2="25" style="stroke:#1F56D2" /> 
<line id="line2" x1="10" y1="75" x2="280" y2="75" style="stroke:#1F56D2" /> 
<line id="line2" x1="10" y1="50" x2="280" y2="50" style="stroke:#1F56D2" /> 

<text x="10" y="10" fill="#1F56D2" text-anchor="middle">
Fa</text>
<text x="10" y="100" fill="#1F56D2" text-anchor="middle">
Do</text>
<text x="189.23" y="100" fill="#1F56D2" text-anchor="middle">
Fa</text>
<text x="189.23" y="10" fill="#1F56D2" text-anchor="middle">
Sib</text>
<text x="262" y="10" fill="#1F56D2" text-anchor="middle">
Do</text>
<text x="82" y="10" fill="#1F56D2" text-anchor="middle">
Sol</text>
<text x="82" y="100" fill="#1F56D2" text-anchor="middle">
Ré</text>
<text x="154" y="100" fill="#1F56D2" text-anchor="middle">
Mi</text>
<text x="154" y="10" fill="#1F56D2" text-anchor="middle">
La</text>
<text x="262" y="100" fill="#1F56D2" text-anchor="middle">
Sol</text>

<xsl:call-template name = "graduationH" >
<xsl:with-param name = "i" select="0"/>
<xsl:with-param name="nb" select="7"/>
<xsl:with-param name = "pas" select = "36"/>
<xsl:with-param name = "ticks" select = "10"/>
<xsl:with-param name = "init" select = "28"/>
</xsl:call-template>

<xsl:call-template name = "graduationH" >
<xsl:with-param name = "i" select="0"/>
<xsl:with-param name="nb" select="7"/>
<xsl:with-param name = "pas" select = "36"/>
<xsl:with-param name = "ticks" select = "20"/>
<xsl:with-param name = "init" select = "10"/>
</xsl:call-template>

<xsl:call-template name = "graduationH" >
<xsl:with-param name = "i" select="0"/>
<xsl:with-param name="nb" select="14"/>
<xsl:with-param name = "pas" select = "18"/>
<xsl:with-param name = "ticks" select = "5"/>
<xsl:with-param name = "init" select = "19"/>
</xsl:call-template>

<!-- Graduation sur deux cordes accorde en quarte   -->

<xsl:for-each select="intervalList/list/interval">
<!-- -->
<xsl:if test="@cent &lt; 720 "> 
<!--  -->
<line> 
<xsl:attribute name="y1"><xsl:value-of select="35"/> </xsl:attribute>
<xsl:attribute name="x1"><xsl:value-of select="10 + @cent * 0.36"/></xsl:attribute>
<xsl:attribute name="y2"><xsl:value-of select="85"/> </xsl:attribute>
<xsl:attribute name="x2"><xsl:value-of select="10 + @cent * 0.36"/></xsl:attribute>
<xsl:attribute name="style">stroke:#FF6600; stroke-width: 2;</xsl:attribute>
</line> 
<!-- -->
</xsl:if>

<xsl:if test="@cent &gt; 480 "> 
<!--  -->
<line> 
<xsl:attribute name="y1"><xsl:value-of select="15"/> </xsl:attribute>
<xsl:attribute name="x1"><xsl:value-of select="10 + @cent * 0.36 - 179.28"/></xsl:attribute>
<xsl:attribute name="y2"><xsl:value-of select="65"/> </xsl:attribute>
<xsl:attribute name="x2"><xsl:value-of select="10 + @cent * 0.36 - 179.28 "/></xsl:attribute>
<xsl:attribute name="style">stroke:#996600; stroke-width: 2;</xsl:attribute>
</line> 
<!-- -->
</xsl:if>
<!--  -->
</xsl:for-each>
</svg>
</p>
</div>
</p>
Description :<br/>
<div id="desc"><xsl:copy-of select="intervalList/header/desc"/></div>

<div id="piedpage">
Fichier au format XML pour KUK<sup>&#xAE;</sup><br/><address><a href="http://pirouz.djoharian.free.fr/kuk/">http://pirouz.djoharian.free.fr/kuk/</a></address></div>
</body>
</html>
</xsl:template>

<!-- Graduation circulaire -->

<xsl:template name = "graduation">
<xsl:param name="i"/>
<xsl:param name="nb"/>
<xsl:param name="rayon"/>
<xsl:param name="tickl"/><!-- longueur de graduation -->

<xsl:variable name = "vCos" >
<xsl:call-template name = "cos" >
<xsl:with-param name = "pX" select = "-90 + $i * 360 div $nb" />
 <xsl:with-param name="pUnit" select="'deg'"/>
</xsl:call-template>
</xsl:variable>

<xsl:variable name = "vSin" >
<xsl:call-template name = "sin" >
<xsl:with-param name = "pX" select = "-90 + $i * 360 div $nb " />
<xsl:with-param name="pUnit" select="'deg'"/>
</xsl:call-template>
</xsl:variable>

<svg xmlns="http://www.w3.org/2000/svg"
xmlns:xlink="http://www.w3.org/1999/xlink"
width="400" height="400">
<line> 
<xsl:attribute name="y1"><xsl:value-of select="200 + ($rayon  ) * $vSin"/> </xsl:attribute>
<xsl:attribute name="x1"><xsl:value-of select="200 + ($rayon  ) * $vCos "/></xsl:attribute>
<xsl:attribute name="y2"><xsl:value-of select="200 + ($rayon+$tickl) * $vSin"/> </xsl:attribute>
<xsl:attribute name="x2"><xsl:value-of select="200 + ($rayon+$tickl) * $vCos "/></xsl:attribute>
<xsl:attribute name="style">stroke:#1F56D2;</xsl:attribute>
</line>
</svg>

<xsl:if test="$i &lt; $nb"> 
<xsl:call-template name="graduation">
<xsl:with-param name="i">
<xsl:value-of select="$i + 1"/>
</xsl:with-param>
<xsl:with-param name="nb">
<xsl:value-of select="$nb"/>
</xsl:with-param>
<xsl:with-param name="rayon">
<xsl:value-of select="$rayon"/>
</xsl:with-param>
<xsl:with-param name="tickl" select="$tickl"/>
</xsl:call-template>
</xsl:if>
</xsl:template>

<!-- Graduation horizontale -->

<xsl:template name = "graduationH">
<xsl:param name="i"/>
<xsl:param name="nb"/>
<xsl:param name="pas"/>
<xsl:param name="ticks"/><!-- longueur de graduation -->
<xsl:param name="init"/><!-- position initiale -->

<svg xmlns="http://www.w3.org/2000/svg"
xmlns:xlink="http://www.w3.org/1999/xlink"
width="450" height="100">
<line> 
<xsl:attribute name="y1"><xsl:value-of select="50 - $ticks"/> </xsl:attribute>
<xsl:attribute name="x1"><xsl:value-of select="$init+ $pas * $i"/></xsl:attribute>
<xsl:attribute name="y2"><xsl:value-of select="50 + $ticks"/> </xsl:attribute>
<xsl:attribute name="x2"><xsl:value-of select="$init + $pas * $i "/>
</xsl:attribute>
<xsl:attribute name="style">stroke:#1F56D2;</xsl:attribute>
</line>
</svg>

<xsl:if test="$i &lt; $nb"> 
<xsl:call-template name="graduationH">
<xsl:with-param name="i">
<xsl:value-of select="$i + 1"/>
</xsl:with-param>
<xsl:with-param name="nb" select="$nb"/>
<xsl:with-param name="pas">
<xsl:value-of select="$pas"/>
</xsl:with-param>
<xsl:with-param name="ticks" select="$ticks"/>
<xsl:with-param name="init" select="$init"/>
</xsl:call-template>
</xsl:if>
</xsl:template>


</xsl:stylesheet>




